/*
 * Copyright 2009 Andreas Borglin andreas.borglin@gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package borge.mobile.lib.pimp;

/**
 * Helper class for image related stuff
 * 
 * @author Andreas Borglin
 */
class ImageInfo {

    // Static helpers only
    private ImageInfo() { }

    public static String getFormatFromExtension(String file){
        
        String format = null;
        file = file.toLowerCase();
        
        // Map filetype to format
        if(file.endsWith(".jpg") || file.endsWith(".jpeg"))
            format = "image/jpeg";
        
        else if (file.endsWith(".png"))
            format = "image/png";
        
        else if (file.endsWith(".gif")) 
            format = "image/gif";
        
        else if (file.endsWith(".bmp")) 
            format = "image/bmp";
        
        return format;
    }
    
}
