/*
 * Copyright 2009 Andreas Borglin andreas.borglin@gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package borge.mobile.lib.pimp;

import java.io.ByteArrayOutputStream;

/**
 * This class extends ByteArrayOutputStream.
 * This allows us to retrieve the internal buffer directly,
 * saving us both time and space from avoiding buffer copying.
 * 
 * @author Andreas Borglin
 */
class ImageOutputStream extends ByteArrayOutputStream{
    

    public ImageOutputStream() {
    }
    
    public ImageOutputStream(int size){
        super(size);
    }
    
    // Retrieve the internal buffer
    public byte[] getBuf(){
        return super.buf;
    }

}
