/*
 * Copyright 2009 Andreas Borglin andreas.borglin@gmail.com
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package borge.mobile.lib.pimp;

/**
 * This class represents width and height of an overlay image.
 * The idea is that the application can draw a rectangle with these
 * bounds and easily let the user see how big and how well the 
 * overlay image will fit into the picture.
 * @author Andreas Borglin
 */
public class OverlayBounds {

    private int width;
    private int height;
    
    protected OverlayBounds(int w, int h){
        width = w;
        height = h;
    }
    
    /**
     * Get the overlay image width.
     * @return Overlay image width
     */
    public int getWidth(){
        return width;
    }
    
    /**
     * Get the overlay image height
     * @return Overlay image height
     */
    public int getHeight(){
        return height;
    }

}
